Skip to main content

AWS Cloud Connectivity - Public Self Made - Update (PATCH)

This page documents the Update (PATCH) operation in the AWS Cloud Connectivity API. Use a valid JWT bearer token.

PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/cloudconnectors/publicselfmades/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN

Parameters​

ParameterInRequiredType / default
idpathYesstring uuid
projectIdpathYesstring uuid

Request body​

JSON fieldRequiredType / notes
nameNostring: cloud connector name
stateNostring (DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, ERROR): cloud connector state
bandwidthNointeger int32: cloud connector bandwidth
maxBandwidthNointeger int32: cloud connector maximum bandwidth
technicalVpnIdNostring uuid: network connector uuid associated with the cloud connector
awsCredentialIdNostring uuid: aws credential uuid to be used to manage the cloud connector on aws
networkSideAsnNointeger int64: network side asn
serviceLevelNostring (Ha, Standard): service level of the cloud connector
primaryPopLocalizationNostring: primary pop localization of the cloud connector
secondaryPopLocalizationNostring: secondary pop localization of the cloud connector
networkSideGatewaySubnetPrimaryNostring: primary network side gateway subnet
networkSideGatewaySubnetSecondaryNostring: secondary network side gateway subnet
targetGatewayIdNostring: virtual or transit gateway provisioned in AWS
regionNostring: cloud connector AWS region

Response​

Successful response: 200. ok Response schema: object.